/*
 * Copyright 2012 David de Mingo <david@demingo.name>
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

package endea.internal.auth

import endea._
import endea.auth._
import endea.html._
import endea.http._

object Auth {

  val user_key = "me"
  val user_uri = Controller.encodeSession(user_key, DefaultAction)

  def logIn(event: Event[_], user: User) {
    event.session.put(user_key, user)
    event.httpResponse.sendRedirect(user_uri)
  }

  def logOut(event: Event[_]) {
    event.session.remove(user_key)
    event.httpResponse.sendRedirect("/")
  }
}