/*
 * Copyright 2012 David de Mingo <david@demingo.name>
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

package endea.internal.html

import endea.html.HtmlAction
import endea.html.Image
import endea.html.ImageView
import endea.http.Event

object HtmlErrorAction extends HtmlAction[HtmlError] {

  val css = None
  val js = None

  val icon = Image(HtmlErrorAction, "Error.png")

  def write(event: Event[HtmlError]) {

    ImageView.write(event, icon, 64)
    event.write(event.entity.message)
  }
}